#include <bits/stdc++.h>

using namespace std;

int main()
{
    double deo;
    long long p, q, r;
    long long interval1, interval2, maxi, broj2, broj = 0;
    cin >> p >> q >> r >> interval1 >> interval2;
    deo = 1 / float(p) + 1 / float(q) + 1 / float(r);
    if(deo > 1){
        cout << 0;
        return 0;
    }
    else if(deo == 1){
        int br = 1;
        maxi = max(max(p, q), r);
        for(int i = interval1 ; i <= interval2;){
            if(i % maxi == 0) br = maxi;
            if(i % p == 0 && i % q == 0 && i % r == 0) broj++;
            i += br;
        }
        cout << broj;
    }
    else{
        for(int i = interval1 ; i <= interval2 ; i++){
            broj2 = i / p + i / q + i / r;
            if(i % r != 0) broj2++;
            if(i % q != 0) broj2++;
            if(i % p != 0) broj2++;
            if(i % p != 0 && i % q != 0 && i % r != 0 && broj2 <= i){
                broj += interval2 - i + 1;
                break;
            }
            if(broj2 <= i) broj++;
        }
        cout << broj;
    }
    return 0;
}